package com.example.demo.scenic_spot.controller;

import com.example.demo.scenic_spot.service.impl.ScenicSpotServiceImpl;
import com.example.demo.user.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/scenicSpot")
public class ScenicSpotController {
    @Autowired
    private ScenicSpotServiceImpl scenicSpotService;

    @RequestMapping("/syncDataToEs")
    public ResultVo syncDataToEs() {
        return scenicSpotService.syncDataToEs();
    }
    @RequestMapping("/getScenicSpotList")
    public ResultVo getScenicSpotList(@RequestHeader("token") String token) {
        return scenicSpotService.getScenicSpotList(token);
    }
}
