package com.example.demo;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
/**
 * @Author Jsxs
 * @Date 2023/4/5 20:44
 * @PackageName:com.jsxs.TentcentMap.routePlanning
 * @ClassName: Walking
 * @Description: TODO  步行
 * @Version 1.0
 */
public class Walking {
    public static JSONArray getWalking(String startLan,String startLon,String endLan,String endLon,String key){
        String keyURL="https://apis.map.qq.com/ws/direction/v1/walking/?from="+startLan+","+startLon+"&to="+endLan+","+endLon+"&key="+key;
        System.out.println(keyURL);
        String s = TencentMapUtils.getTencentMap(keyURL).toString();
        // 2. JSON字符串转换为JSON对象
        JSONObject jsonObject = JSONObject.parseObject(s);
        JSONObject result = (JSONObject)jsonObject.get("result");
        JSONArray routes = (JSONArray)result.get("routes");
        return routes;
    }
    public static void main(String[] args) {
        JSONArray array = getWalking("39.915285", "116.403857", "39.915285", "116.803857", "HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ");
        System.out.println("总距离是:"+array.getJSONObject(0).get("distance")+"米");
        System.out.println("预计消耗时间是:"+array.getJSONObject(0).get("duration")+"分钟");
        // 详细方案的数组
        JSONArray steps = (JSONArray)array.getJSONObject(0).get("steps");
        for (int i = 0; i < steps.size(); i++) {
            System.out.println(steps.getJSONObject(i).get("instruction")+" -》 注意是:"+steps.getJSONObject(i).get("act_desc"));
        }
    }
}