package com.example.demo;
import com.alibaba.fastjson.JSONObject;
/**
 * @Author Jsxs
 * @Date 2023/4/5 15:20
 * @PackageName:com.jsxs.TentcentMap.addressStandardization
 * @ClassName: addressStandardization
 * @Description: TODO 地址标准化
 * @Version 1.0
 */
public class addressStandardization {
    public static String getAddressStandardization(String address,String key){
        String keyURL="https://apis.map.qq.com/ws/smart_address/address_complete?address="+address+"&key="+key;
        // 1.JSON字符串
        String s = TencentMapUtils.getTencentMap(keyURL).toString();
        // 2.JSON字符串转换为JSON对象
        JSONObject jsonObject = JSONObject.parseObject(s);
        JSONObject result = (JSONObject)jsonObject.get("result");
        String completed_address = result.get("completed_address")+"";
        return completed_address;
    }
    public static void main(String[] args) {
        System.out.println(getAddressStandardization("河南周口商水","HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ"));
    }
}