package com.example.demo;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
/**
 * @Author Jsxs
 * @Date 2023/4/5 14:45
 * @PackageName:com.jsxs.TentcentMap.keywordInputPrompt
 * @ClassName: keywordInputPrompt
 * @Description: TODO 关键词输入提示
 * @Version 1.0
 */
public class keywordInputPrompt {
    public static JSONArray getKeywordInputPrompt(String region,String keyword,String key){
        String keyURL="https://apis.map.qq.com/ws/place/v1/suggestion/?region="+region+"&keyword="+keyword+"&key="+key;
        // 1.JSON字符串
        String s = TencentMapUtils.getTencentMap(keyURL).toString();
        // 2.JSON字符串转JSON对象
        JSONObject jsonObject = JSONObject.parseObject(s);
        // 3.获取JSON数组
        JSONArray data = (JSONArray)jsonObject.get("data");
        return data;
    }
    public static void main(String[] args) {
        // 范围、关键字、密钥
        JSONArray array = getKeywordInputPrompt("莲池", "公园", "HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ");
        for (int i = 0; i < array.size(); i++) {
            System.out.println(array.getJSONObject(i).get("title")+" "+array.getJSONObject(i).get("address"));
        }
    }
}